Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 04/16/2024 in all areas

  1. Pretty much the same here and most other companies. I have lots of convincing to do to get free apps from the Autodesk store, something from anonymous non opensource isn't going to happen. Sometimes Windows will flag the msi files and IT will have to research the source, so can take a while. AFAIK, the issue with things like DOSLIB, OpenDCL, etc. everyone using the codes needs them installed.
    2 points
  2. Perhaps something like this - (defun sortit ( lst ) (mapcar '(lambda ( n ) (nth n lst)) (vl-sort-i (mapcar '(lambda ( x ) (LM:str->lst (cdr x) "-")) lst) (function (lambda ( a b / x y ) (while (and a b (= (car a) (car b))) (setq a (cdr a) b (cdr b) ) ) (cond ( (null a)) ( (null b) nil) ( (and (numberp (setq x (read (car a)))) (numberp (setq y (read (car b)))) ) (< x y) ) ( (numberp x)) ( (numberp y) nil) ( (< (car a) (car b))) ) ) ) ) ) ) ;; String to List - Lee Mac ;; Separates a string using a given delimiter ;; str - [str] String to process ;; del - [str] Delimiter by which to separate the string ;; Returns: [lst] List of strings (defun LM:str->lst ( str del / pos ) (if (setq pos (vl-string-search del str)) (cons (substr str 1 pos) (LM:str->lst (substr str (+ pos 1 (strlen del))) del)) (list str) ) )
    1 point
  3. Pretty much the only software is the ones on their list, one off installs aren't allowed
    1 point
  4. A start whith this? (defun c:foo ( / ss n ent obj old new) (setq ss (ssget '((0 . "MTEXT")))) (cond (ss (repeat (setq n (sslength ss)) (setq ent (ssname ss (setq n (1- n))) obj (vlax-ename->vla-object ent) old (vla-fieldcode obj) new (vl-string-subst "%pr2" "%pr0" old) ) (vlax-put obj 'TextString new) ) ) ) (prin1) )
    1 point
  5. Just another way of doing it without the i variable. (if (setq A3 (ssget "_X" '((2 . "SW_CEN*")))) (foreach e (vl-remove-if 'listp (mapcar 'cadr (ssnamex A3))) (entdel e) ) ) set up a function like this.
    1 point
  6. What is that "field to finish" you are talking about? Is a entity specific to Civil 3D? You can try the script approach - for editing please note that can access the last added entity by inputing "_L" when asked for selection. The example below will add a polyline on the script and smooth it in next step. _PLINE 0,0 50,100 100,100 100,50 _PEDIT _L _F _REGEN
    1 point
×
×
  • Create New...